%define major			3
%define major_xreaderdocument	3
%define major_xreaderview	3
%define api			3.0
%define gir_major		3.0

%define devname			xreader-devel
%define libname_xreaderdocument	%mklibname xreaderdocument 3 %{major_xreaderdocument}
%define libname_xreaderview	%mklibname xreaderview 3 %{major_xreaderview}

Name:           xreader
Version:        2.0.2
Release:        %mkrel 1
Summary:        Simple document viewer
License:        GPLv2 and LGPLv2
Group:          Publishing
Url:            https://github.com/linuxmint/xreader
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        xreader.desktop
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(libtiff-4) >= 3.6
BuildRequires:  texlive
BuildRequires:  pkgconfig(kpathsea)
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.17
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(libgxps) >= 0.2.0
BuildRequires:  pkgconfig(libsecret-1) >= 0.5
BuildRequires:  pkgconfig(libspectre) >= 0.2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.4.3
BuildRequires:  pkgconfig(xapp) >= 1.1.0
BuildRequires:  itstool

%description
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.


%package -n %{devname}
Summary:        X-Apps Document Reader development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{devname}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x \
  --disable-static                    \
  --libexecdir=%{_libexecdir}/%{name} \
  --enable-introspection              \
  --enable-gtk-doc                    \
  --enable-pixbuf
%make_build

%install
%make_install

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc COPYING
%doc AUTHORS README
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%{_bindir}/%{name}-thumbnailer
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/%{major}/
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}*
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/*/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*.*
%{_libdir}/libxreaderview.so.%{major_xreaderview}*
%{_libdir}/libxreaderdocument.so.%{major_xreaderdocument}*
%{_libdir}/girepository-1.0/XreaderDocument-1.5.typelib
%{_libdir}/girepository-1.0/XreaderView-1.5.typelib
%{_libdir}/%{name}/%{major}/backends/
%{_datadir}/help

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/


%changelog
* Sun Feb 03 2019 tex 2.0.2-1pclos2019
- update to 2.0.2
